summaryrefslogtreecommitdiffstats
path: root/tests/shorewall
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shorewall')
-rw-r--r--tests/shorewall4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/shorewall b/tests/shorewall
index b55693f..1628d05 100644
--- a/tests/shorewall
+++ b/tests/shorewall
@@ -9,7 +9,9 @@
# save current iptables
/etc/init.d/iptables save
echo "STARTUP_ENABLED=Yes" >> "${d}/shorewall.conf"
- echo "loc ipv4" >> "${d}/zones"
+ if ! [ cat "${d}/zones" | grep "loc ipv4" ]; then
+ echo "loc ipv4" >> "${d}/zones"
+ fi
echo "loc ${IFACE}" >> "${d}/interfaces"
# so we dont lose our ssh connection
echo "all all ACCEPT" >> "${d}/policy"